import { CellDataChangedInfo } from '../../../AdaptableState/Common/CellDataChangedInfo';
import { AlertDefinition } from '../../../AdaptableState/AlertState';
import { IAdaptableService } from './IAdaptableService';
export interface IValidationService extends IAdaptableService {
    getValidationRulesForDataChange(cellDataChangedInfo: CellDataChangedInfo): AlertDefinition[];
    performValidation(cellDataChangedInfo: CellDataChangedInfo): boolean;
    performServerValidation(cellDataChangedInfo: CellDataChangedInfo, config: {
        onServerValidationCompleted: () => void;
    }): () => boolean;
    createValidationDescription(alertDefinition: AlertDefinition): string;
    createValidationMessage(alertDefinition: AlertDefinition): string;
}
